aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xmedia/sound/envy24control/envy24control.SlackBuild (renamed from others/envy24control/envy24control.SlackBuild)0
-rwxr-xr-xmedia/video/mplayer/MPlayer.SlackBuild4
2 files changed, 2 insertions, 2 deletions
diff --git a/others/envy24control/envy24control.SlackBuild b/media/sound/envy24control/envy24control.SlackBuild
index 4ba7faa6..4ba7faa6 100755
--- a/others/envy24control/envy24control.SlackBuild
+++ b/media/sound/envy24control/envy24control.SlackBuild
diff --git a/media/video/mplayer/MPlayer.SlackBuild b/media/video/mplayer/MPlayer.SlackBuild
index 8ec38d63..459686c2 100755
--- a/media/video/mplayer/MPlayer.SlackBuild
+++ b/media/video/mplayer/MPlayer.SlackBuild
@@ -71,11 +71,11 @@ cd $TMP
tar xvf$tarflag $SRC_DIR/$SRC
cd $PACKAGE-$VERSION
-if [ "$ARCH" == "i486" ]; then
+if [ "$ARCH" == "i586" ] || [ "$ARCH" == "i686" ]; then
EXTRA_ARGS="--enable-win32 --enable-qtx"
fi
-./configure --prefix=/usr --libdir=$LIBDIR --confdir=/etc --language=pt_BR --enable-largefiles --enable-gui --enable-real --disable-x264 $EXTRA_ARGS || exit $ERROR_CONF
+./configure --prefix=/usr --libdir=$LIBDIR --confdir=/etc --language=pt_BR --enable-largefiles --enable-gui --enable-real --enable-runtime-cpudetection $EXTRA_ARGS || exit $ERROR_CONF
make || exit $ERROR_MAKE
echo "$TMP/package-$PACKAGE/$PACKAGE"
make DESTDIR=$TMP/package-$PACKAGE/$PACKAGE install || exit $ERROR_INSTALL